/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.muni.fi.pb162.cars;

/**
 *
 * @author bar
 */
public interface Garage {
    /**
     * How many places are in the garage
     * @return number of places in th garage
     */
    public int getCapacity();
    
    /**
     * How many places are in the garage are engaged.
     * @return Number of engaged places in the garage
     */
    public int getEngaged();
    
    /**
     * How many places in the garage are free
     * @return Number of free places in the garage
     */
    public int getFreeCapacity();
    
    /**
     * Parks a car in the garage
     * @param car car to parked
     * @return whether the car can/can't be parked
     */
    public boolean parkCar(Car car);
    
    /**
     * Leaves the car out of the garage
     * @param car - car leaving the garage
     * @return whether the car is/is not found in the garage
     */
      public boolean leaveCar(Car car);
}
